### Hierarchy

- IBehaviour
  - MouseBehaviour

## Index

### Constructors

- constructor

### Properties

- bindings
- callback
- channelId
- renderer
- subscription
- target
- textArea

### Methods

- bind
- handler
- init
- isValueValid
- unbind

## Constructors

### constructor

- new MouseBehaviour(renderer: IRenderer, button: HTMLButtonElement, textArea: HTMLTextAreaElement, callback: undefined | function): MouseBehaviour

- Overrides IBehaviour.constructor

  - Defined in lib/behaviour/MouseBehaviour.ts:16

  #### Parameters

  - ##### renderer: IRenderer

  - ##### Optional button: HTMLButtonElement

  - ##### Optional textArea: HTMLTextAreaElement

  - ##### Optional callback: undefined | function

  #### Returns MouseBehaviour

## Properties

### Protected bindings

bindings: BehaviorBinding[]

Inherited from IBehaviour.bindings

- Defined in lib/api/IBehaviour.ts:11

### Private callback

callback: function | undefined

- Defined in lib/behaviour/MouseBehaviour.ts:16

### channelId

channelId: string | null = null

Inherited from IBehaviour.channelId

- Defined in lib/api/IBehaviour.ts:12

### Private renderer

renderer: IRenderer

- Defined in lib/behaviour/MouseBehaviour.ts:15

### Protected subscription

subscription: Subscription | null

Inherited from IBehaviour.subscription

- Defined in lib/api/IBehaviour.ts:10

### Protected target

target: HTMLElement

Inherited from IBehaviour.target

- Defined in lib/api/IBehaviour.ts:9

### Private textArea

textArea: HTMLTextAreaElement

- Defined in lib/behaviour/MouseBehaviour.ts:14

## Methods

### bind

- bind(gateway: Subscription): void

- Inherited from IBehaviour.bind

  - Defined in lib/api/IBehaviour.ts:31

  #### Parameters

  - ##### gateway: Subscription

  #### Returns void

### Private handler

- handler(): void

- - Defined in lib/behaviour/MouseBehaviour.ts:26

  #### Returns void

### init

- init(channelId: string): void

- Inherited from IBehaviour.init

  - Defined in lib/api/IBehaviour.ts:20

  #### Parameters

  - ##### channelId: string

  #### Returns void

### isValueValid

- isValueValid(value: string): null | false | true | ""

- Inherited from IBehaviour.isValueValid

  - Defined in lib/api/IBehaviour.ts:38

  #### Parameters

  - ##### value: string

  #### Returns null | false | true | ""

### unbind

- unbind(): void

- Inherited from IBehaviour.unbind

  - Defined in lib/api/IBehaviour.ts:44

  #### Returns void

Generated using TypeDoc